class PostsController < ApplicationController
  before_action :authenticate_user!
  def index
  	@posts = current_user.posts
  end

  def show
  	@post = Post.find_by(id: params[:id])
  end

  def new
  	@post = current_user.posts.new
  end

  def create
  	@post = current_user.posts.new(post_params)

  	if @post.save
  		redirect_to posts_path, notice: "You have successfully created a new post."
  	else
  		render 'new'
  	end
  end

  def destroy
  	@post = Post.find_by(id: params[:id])
  	if @post.present?
  		@post.destroy
  		alert = "You have successfully deleted a post."
  	else
  		alert = "Post not found."
  	end
  	redirect_to posts_path, alert: alert
  end

  def edit
  	@post = Post.find_by(id: params[:id])
  end

  def update
  	@post = Post.find_by(id: params[:id])
  	if @post.update(post_params)
  		redirect_to posts_path, notice: "You have successfully updated a post."
  	else
  		render 'edit'
  	end
  end

  private
  	def post_params
  		params.require(:post).permit!
  	end
end