Rails.application.routes.draw do
  get 'comments/new'
  devise_for :users
  devise_scope :user do
  	authenticated :user do
  		resources :posts do
        resources :comments, only: [:new, :create]
      end
  		root to: 'posts#index', as: :authenticated_root
  	end
  	unauthenticated :user do
  		root to: 'publics#index', as: :unauthenticated_root
  	end
  end
  root to: 'posts#index'
end